mesos-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Qian Zhang <zhq527...@gmail.com>
Subject Propose to update the minimal supported Docker version in Mesos to Docker 1.8.0
Date Sat, 29 Sep 2018 02:01:21 GMT
Hi All,

When I worked on MESOS-9231
<https://issues.apache.org/jira/browse/MESOS-9231>, I found the way that we
run the `docker inspect` command seems not correct, we'd better specify
`--type=container` for it, otherwise, `docker inspect` may return an object
which is not a container (e.g., a volume).

So I posted a patch <https://reviews.apache.org/r/68872/> to add
`--type=container` to the `docker inspect` command. However I found Docker
started to support `--type=container` from 1.8.0, but our minimal supported
Docker version is 1.0.0 (see here
<https://github.com/apache/mesos/blob/1.7.0/src/docker/docker.cpp#L152> for
details). I think it does not make sense for us to support Docker 1.0.0
which is too old, so I propose to update the minimal supported Docker
version in Mesos to 1.8.0.

Please let me know for any comments, thanks!


Regards,
Qian Zhang

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message